Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.richtext.controls
Interface RichTextControl

All Superinterfaces
  CM_Control<RichText>, ContentControlBase<RichText,Folder>, GroupSpaceContentControl<RichText>, Serializable

All Known Implementing Classes:
  RichTextControlImpl

    public interface RichTextControl

extends CM_Control<RichText>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility)`
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility, Folder parentFolder)` The parent folder is only relevant for Community and Private visibility.
`RichText` | `create(String title, String description, String htmlBody, CommunityContent.Visibility visibility, Folder parentFolder, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)` The parent folder is only relevant for Community and Private visibility.
`String` | `getHtmlBody(RichText richText)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    RichText create(String title,
                    String description,
                    String htmlBody,
                    CommunityContent.Visibility visibility)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    RichText create(String title,
                    String description,
                    String htmlBody,
                    CommunityContent.Visibility visibility,
                    Folder parentFolder)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  The parent folder is only relevant for Community and Private visibility.

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
    `parentFolder` -
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    RichText create(String title,
                    String description,
                    String htmlBody,
                    CommunityContent.Visibility visibility,
                    Folder parentFolder,
                    ID[] relatedNodes,
                    Set<CmxControl.PropertyPair> dynamicProps)
                    throws NoSuchNodeException,
                           RepositoryException,
                           AuthorizationException,
                           CharacterCodingException

  The parent folder is only relevant for Community and Private visibility.

  Parameters
    `title` -
    `description` -
    `htmlBody` -
    `visibility` -
    `parentFolder` -
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### getHtmlBody

    String getHtmlBody(RichText richText)
                       throws RepositoryException,
                              AuthorizationException

  Throws
    `RepositoryException`
    `AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved